<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class DBWorkHLMandant extends \DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'id, name, dvvnr, lsmdrefidprae, lsmdrefidpost, lsmdrefidstellen, kostenst, geb_kurtaxe, kennz, absender_name, absender_email';
    $this->_dataModulFields = array('id', 'name', 'dvvnr', 'lsmdrefidprae', 'lsmdrefidpost', 'lsmdrefidstellen', 'kostenst', 'geb_kurtaxe', 'kennz', 'absender_name', 'absender_email');
  }

  
  public function getNewObject()
  {
    return new \HLMandant();
  }

  public function getTableName(): string
  {
    return 'hlmandant';
  }
}